### Struct

# Qmi MessageWdsIndicationRegisterInput

since: 1.32

#### Description [src]

    struct QmiMessageWdsIndicationRegisterInput {
      /* No available fields */
    }

The `QmiMessageWdsIndicationRegisterInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.32

#### Constructors

###### qmi_message_wds_indication_register_input_new

Allocates a new `QmiMessageWdsIndicationRegisterInput`.

since: 1.32

#### Instance methods

###### qmi_message_wds_indication_register_input_get_report_extended_ip_configuration_change

Get the ‘Report Extended IP Configuration Change’ field from `self`.

since: 1.32

###### qmi_message_wds_indication_register_input_get_report_profile_changes

Get the ‘Report Profile Changes’ field from `self`.

since: 1.34

###### qmi_message_wds_indication_register_input_ref

Atomically increments the reference count of `self` by one.

since: 1.32

###### qmi_message_wds_indication_register_input_set_report_extended_ip_configuration_change

Set the ‘Report Extended IP Configuration Change’ field in the message.

since: 1.32

###### qmi_message_wds_indication_register_input_set_report_profile_changes

Set the ‘Report Profile Changes’ field in the message.

since: 1.34

###### qmi_message_wds_indication_register_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.32